window.onload=init;
let restaurants = [{
        nom: "MacDonald",
        cuisine: "Fast Food",
        id:1
    },
    {
        nom: "Bill Burgers",
        cuisine: "Mauvaise",
        id:2
    }
];

let r1 = {
    nom: "Braldiso",
    cuisine: "Algérienne",
    id:3
}

let r2 = {
    nom: "Restau Buffa",
    cuisine: "Italienne",
    id:4
}

function init() {
    restaurants.push(r1);
    restaurants.push(r2);

    afficherRestaurants();
}

function afficherRestaurants() {
    console.log("J'affiche restau");

    // Je récupère la liste
    let liste = document.querySelector("#listeRestaurants");

    // On va iterer sur la liste des restaurants
    liste.innerHTML = ""; // on met la liste à zéro
    for(let i=0; i < restaurants.length; i++) {
        let r = restaurants[i];

           // Je génère un <li></li> qui contient la description d'un restaurants
           let li = document.createElement("li");
           li.innerHTML = "Restaurant " + r.nom
                            + " cuisine : " + r.cuisine;
            li.onclick = supprimerRestaurant;
            li.id= r.id;
           // Je rajoute le li à la liste, API du DOM
           liste.append(li);
    }
 }

 function ajouterRestaurant(event) {
     // A SAVOIR : quand un formulaire est soumis
     // le navigateur par defaut efface la page pour
     // afficher la réponse. ON VA INTERDIRE CE COMPORTEMENT
     // PAR DEFAUT
     event.preventDefault(); // prédéfini

     // On récupère le contenu du formulaire
     let nom = document.querySelector("#nom");
     let cuisine = document.querySelector("#cuisine");

     console.log("ajout restaurant " + nom + " " + cuisine);

     let newRestau = {
         nom: nom.value,
         cuisine:cuisine.value,
         id:Math.random()
     }
     restaurants.push(newRestau);
     afficherRestaurants();

    // on remet à zero les champs de saisie
    nom.value = "";
    cuisine.value = "";
     
 }

 function supprimerRestaurant(event) {
     let li = event.target; // le li sur lequel on a cliqué
     console.log("supprimer le restaurant id = " + li.id);
    
     let pos;
     for(pos=0; pos < restaurants.length; pos++) {
         let r = restaurants[pos];

         if(r.id == li.id) {
                console.log("Je supprime le restau à pos = " + pos);
                restaurants.splice(pos, 1); // pos = la position de l'élément à supprimer, 1 = nb elements à supprimer
                afficherRestaurants();
                break;
         }
    }
}
